This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 62602 - kernel-source 2.4.18-0.12 won't compile b/c of ulib
kernel-source 2.4.18-0.12 won't compile b/c of ulib
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-02 18:04 EST by Alexander Farley
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-02 21:11:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alexander Farley 2002-04-02 18:04:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020328

Description of problem:
The file or folder "ulib" is not present in the the kernel source RPM
(kernel-souce-2.4.18-0.12.i386.rpm). Ulib is referenced three times in the
makefile, each time with very little information about its location.  I believe
it is supposed to be located in the main linux-2.4.18-0.12 folder.  The one
informative reference is that ulib/libredhat-kernel.so.1 is supposed to
installed into %(TOPDIR)/lib/kernel/$(KERNELRELEASE)/, which it already is when
the RPM is installed.  I can find scant (relevant) references to a ulib folder
anywhere on the internet (with the only obscure referneces coming from RedHat).

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.make bzImage
2.
3.
	

Actual Results:  complains that no file or folder "ulib" is present.

Expected Results:  the compilation of the bzImage should have run to completion,
which it does if all references to ulib are commented out of the makefile.

Additional info:

I am using gcc-2.96-109.
The regular kernel RPM that I am using works perfectly 2.4.18-0.12, but I wanted
to add agpgart to the kernel.
I appologize if there is an RPM that I have not installed, but I received no
dependency complaints when the kernel-source RPM was installed.
Comment 1 Alexander Farley 2002-04-02 21:11:27 EST
If the three references to ulib are commented out and the new/custom kernel and
modules are installed everything appears to work (i.e. compiles, installs,
boots, and runs fine).  However, this does not provide a real solution to the
problem.
Comment 2 Arjan van de Ven 2002-04-03 01:56:24 EST
This is indeed a bug in the spec for kernel-source; fixed for 2.4.18-0.13 which
should appear in rawhide soon. Thanks for reporting

Note You need to log in before you can comment on or make changes to this bug.